import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Provide classes to set background color.*/
        background?: string | undefined;
        /** Provide classes to set border styles.*/
        border?: string | undefined;
        /** Provide classes to set padding.*/
        padding?: string | undefined;
        /** Provide classes to define a box shadow.*/
        shadow?: string | undefined;
        /** Provide classes to set the vertical spacing between rows.*/
        spacing?: string | undefined;
        /** Provide classes to set grid columns for the main row.*/
        gridColumns?: string | undefined;
        /** Provide classes to set gap spacing for the main row.*/
        gap?: string | undefined;
        /** Provide arbitrary classes to style the top (main) row.*/
        regionRowMain?: string | undefined;
        /** Provide arbitrary classes to style the bottom (headline) row.*/
        regionRowHeadline?: string | undefined;
        /** Classes to apply to the lead slot container element*/
        slotLead?: string | undefined;
        /** Classes to apply to the default slot container element*/
        slotDefault?: string | undefined;
        /** Classes to apply to the trail slot container element*/
        slotTrail?: string | undefined;
        /** Provide a semantic ID for the ARIA label.*/
        label?: string | undefined;
        /** Provide the ID of the element that labels the toolbar.*/
        labelledby?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lead: {};
        default: {};
        trail: {};
        headline: {};
    };
};
export type AppBarProps = typeof __propDef.props;
export type AppBarEvents = typeof __propDef.events;
export type AppBarSlots = typeof __propDef.slots;
export default class AppBar extends SvelteComponentTyped<AppBarProps, AppBarEvents, AppBarSlots> {
}
export {};
