import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Bind FileList to the file input.*/
        files?: FileList | undefined;
        /** File input reference.*/
        fileInput?: HTMLInputElement | undefined;
        /** Required. Set a unique name for the file input.*/
        name: string;
        /** Provide classes to set the border styles.*/
        border?: string | undefined;
        /** Provide classes to set the padding styles.*/
        padding?: string | undefined;
        /** Provide classes to set the box radius styles.*/
        rounded?: string | undefined;
        /** Provide arbitrary styles for the UI region.*/
        regionInterface?: string | undefined;
        /** Provide arbitrary styles for the UI text region.*/
        regionInterfaceText?: string | undefined;
        /** Provide arbitrary styles for lead slot container.*/
        slotLead?: string | undefined;
        /** Provide arbitrary styles for message slot container.*/
        slotMessage?: string | undefined;
        /** Provide arbitrary styles for meta text slot container.*/
        slotMeta?: string | undefined;
    };
    events: {
        change: Event;
        dragenter: DragEvent;
        dragover: DragEvent;
        dragleave: DragEvent;
        drop: DragEvent;
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        focus: FocusEvent;
        focusin: FocusEvent;
        focusout: FocusEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lead: {};
        message: {};
        meta: {};
    };
};
export type FileDropzoneProps = typeof __propDef.props;
export type FileDropzoneEvents = typeof __propDef.events;
export type FileDropzoneSlots = typeof __propDef.slots;
export default class FileDropzone extends SvelteComponentTyped<FileDropzoneProps, FileDropzoneEvents, FileDropzoneSlots> {
}
export {};
