import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Required. Set a unique name for the input.*/
        name: string;
        /** The checked state of the input element.*/
        checked?: boolean | undefined;
        /** Sets the size of the component.*/
        size?: string | undefined;
        /** Provide classes to set the inactive state background color.*/
        background?: string | undefined;
        /** Provide classes to set the active state background color.*/
        active?: string | undefined;
        /** Provide classes to set the border styles.*/
        border?: string | undefined;
        /** Provide classes to set border radius styles.*/
        rounded?: string | undefined;
        /** Provide a semantic label.*/
        label?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        /** {{ event }} keyup Fires when the component is focused and key is pressed.*/
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        mouseover: MouseEvent;
        change: Event;
        focus: FocusEvent;
        blur: FocusEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type SlideToggleProps = typeof __propDef.props;
export type SlideToggleEvents = typeof __propDef.events;
export type SlideToggleSlots = typeof __propDef.slots;
export default class SlideToggle extends SvelteComponentTyped<SlideToggleProps, SlideToggleEvents, SlideToggleSlots> {
}
export {};
