import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Sets a language alias for Highlight.js syntax highlighting.*/
        language?: string | undefined;
        /** Provide the code snippet to render. Be mindful to escape as needed!*/
        code?: string | undefined;
        /** Specify if line numbers should be added to the code block*/
        lineNumbers?: boolean | undefined;
        /** Provide classes to set the background color.*/
        background?: string | undefined;
        /** Provided classes to set the backdrop blur.*/
        blur?: string | undefined;
        /** Provide classes to set the text size.*/
        text?: string | undefined;
        /** Provide classes to set the text color.*/
        color?: string | undefined;
        /** Provide classes to set the border radius.*/
        rounded?: string | undefined;
        /** Provide classes to set the box shadow.*/
        shadow?: string | undefined;
        /** Provide classes to set the button styles.*/
        button?: string | undefined;
        /** Provide the button label text.*/
        buttonLabel?: string | undefined;
        /** Provide the button label text when copied.*/
        buttonCopied?: string | undefined;
    };
    events: {
        /** {} copy - Fires when the Copy button is pressed.*/
        copy: CustomEvent<never>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CodeBlockProps = typeof __propDef.props;
export type CodeBlockEvents = typeof __propDef.events;
export type CodeBlockSlots = typeof __propDef.slots;
export default class CodeBlock extends SvelteComponentTyped<CodeBlockProps, CodeBlockEvents, CodeBlockSlots> {
}
export {};
