import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Customize the `title` attribute for the component.*/
        title?: string | undefined;
        /** Provide classes to set the light background color.*/
        bgLight?: string | undefined;
        /** Provide classes to set the dark background color.*/
        bgDark?: string | undefined;
        /** Provide classes to set the light SVG fill color.*/
        fillLight?: string | undefined;
        /** Provide classes to set the dark SVG fill color.*/
        fillDark?: string | undefined;
        /** Provide classes to set width styles.*/
        width?: string | undefined;
        /** Provide classes to set height styles. Should be half of width.*/
        height?: string | undefined;
        /** Provide classes to set ring styles.*/
        ring?: string | undefined;
        /** Provide classes to set border radius styles.*/
        rounded?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type LightSwitchProps = typeof __propDef.props;
export type LightSwitchEvents = typeof __propDef.events;
export type LightSwitchSlots = typeof __propDef.slots;
export default class LightSwitch extends SvelteComponentTyped<LightSwitchProps, LightSwitchEvents, LightSwitchSlots> {
}
export {};
