/// <reference types="svelte" />
/** Store: OS Preference Mode */
export declare const modeOsPrefers: import("svelte/store").Writable<boolean>;
/** Store: User Preference Mode */
export declare const modeUserPrefers: import("svelte/store").Writable<boolean | undefined>;
/** Store: Current Mode State */
export declare const modeCurrent: import("svelte/store").Writable<boolean>;
/** Get the OS Preference for light/dark mode */
export declare function getModeOsPrefers(): boolean;
/** Get the User for light/dark mode */
export declare function getModeUserPrefers(): boolean | undefined;
/** Get the Automatic Preference light/dark mode */
export declare function getModeAutoPrefers(): boolean;
/** Set the User Preference for light/dark mode */
export declare function setModeUserPrefers(value: boolean): void;
/** Set the the current light/dark mode */
export declare function setModeCurrent(value: boolean): void;
/** Set the visible light/dark mode on page load. */
export declare function setInitialClassState(): void;
/** Automatically set the visible light/dark, updates on change. */
export declare function autoModeWatcher(): void;
